#ifndef SCRIPTACTORWIDGET_H
#define SCRIPTACTORWIDGET_H

#include <QWidget>
#include "../../actors/scriptactor.h"

namespace Ui
{
class ScriptActorWidget;
}

class ScriptActorWidget : public QWidget
{
	Q_OBJECT

	std::shared_ptr<ScriptActor> scriptActor_;
	SensorStore* sensors_;

public:
	explicit ScriptActorWidget(std::shared_ptr<ScriptActor> scriptActor, SensorStore* sensors = nullptr,
	                           QWidget *parent = nullptr);
	~ScriptActorWidget();

private slots:
	void setWatchParentItem(bool checked);
	void setScriptPath();
	void addSensor();
	void removeSelectedSensor();

private:
	Ui::ScriptActorWidget *ui;
};

#endif // SCRIPTACTORWIDGET_H